For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
DocsAPI ReferenceWebhooksMethodsUI ComponentsMCP ServerChangelog
  • API Reference
        • POSTList Toll-Free Campaigns
        • GETGet Toll-Free Campaign by ID
        • POSTCreate or Update Toll-Free Campaign
        • POSTSubmit Toll-Free Campaign
        • POSTAutofill Toll-Free Campaign Information
        • POSTValidate Toll-Free Campaign Information
LogoLogo
SupportDashboard
API ReferenceCampaignsToll-Free

Autofill Toll-Free Campaign Information

POST
https://api.pinnacle.sh/campaigns/toll-free/autofill
POST
/campaigns/toll-free/autofill
1import { PinnacleClient } from "rcs-js";
2
3async function main() {
4 const client = new PinnacleClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.campaigns.tollFree.autofill({
8 additionalInfo: "Please autofill missing campaign fields using my brand profile",
9 campaignId: "dlc_1234567890",
10 });
11}
12main();
1{
2 "brand": "b_1234567890",
3 "campaignId": "tf_1234567890",
4 "keywords": {
5 "HELP": {
6 "message": "Pinnacle Software Development Inc.: For assistance, visit https://pinnacle.sh/support or email founders@trypinnacle.app. Msg&data rates may apply. Reply STOP to cancel."
7 },
8 "OPT_IN": {
9 "message": "Pinnacle Software Development Inc.: You're enrolled in account & security alerts. Msg&data rates may apply. Message frequency varies. Reply HELP for help, STOP to cancel. Terms: https://pinnacle.sh/terms/ Privacy: https://pinnacle.sh/privacy/",
10 "keywords": [
11 "START",
12 "SUBSCRIBE"
13 ]
14 }
15 },
16 "links": {
17 "privacyPolicy": "https://www.pinnacle.sh/privacy",
18 "termsOfService": "https://www.pinnacle.sh/terms"
19 },
20 "monthlyVolume": "10,000",
21 "name": "Pinnacle",
22 "optIn": {
23 "method": "PAPER",
24 "url": "https://www.pinnacle.sh/opt-in",
25 "workflowDescription": "End users opt-in when filling out the in-person intake forms where they will write their phone numbers and check a box indicating that they've opted in to messages. Link to paper form: https://www.pinnacle.sh/opt-in"
26 },
27 "options": {
28 "ageGated": false
29 },
30 "productionMessageContent": "• Hi [First Name], your order #[Order ID] has shipped and will arrive [Date]. Track here: [URL]. Reply HELP for help or STOP to unsubscribe.\n• Heads up! [Friend Name] shared 3 photos. Reply VIEW to see them. Reply HELP for help or STOP to unsubscribe.\n• Hello [First Name]! I'm Pinnacle's virtual assistant. How can I help you today? Ask about order status, account updates, photo sharing, or more. Reply HELP for assistance or STOP to unsubscribe.",
31 "useCase": {
32 "summary": "Customers who have opted into text messages can interact with our automated SMS chatbot to receive transaction-driven notifications (order status, shipping updates, account alerts), ask support questions, share photos with friends, and manage their account details via simple, conversational text flows. All messages are transactional or interactive flows customers opt into. Users can send images (e.g., receipts) and get guided replies.",
33 "value": "CHATBOT"
34 }
35}
Generate campaign details based off existing campaign and the brand it's connected to.
Was this page helpful?
Previous

Validate Toll-Free Campaign Information

Next
Built with

Authentication

PINNACLE-API-KEYstring
API Key authentication via header

Request

This endpoint expects an object.
additionalInfostringOptional
Any additional information you want to provide.
campaignIdstringOptional

Unique identifier for the campaign.

  • When autofilling 10DLC campaigns, it must begin with the prefix dlc_ (e.g., dlc_1234567890)
  • When autofilling Toll-Free campaigns, it must begin with the prefix tf_ (e.g., tf_1234567890)
  • When autofilling RCS campaigns, it must begin with the prefix rcs_ (e.g., rcs_1234567890)

Response

Returns autofilled toll-free information.

brandstring
campaignIdstring

Unique identifier for the campaign. Must begin with the prefix tf_.

keywordsobject
Keyword response configuration.
linksobject
Legal documentation links.
monthlyVolumeenum
Message volume.
namestring
Display name of the campaign. This is not sent to carriers for approval and is only used for your reference on the Pinnacle dashboard.
optInobject

Opt-in method and workflow.

optionsobject
Campaign configuration options.
productionMessageContentstring

Example message(s) that would be sent in production. Should reflect the actual content users will receive. See the Production Message Content section for requirements.

useCaseobject
Use case classification for the campaign.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error